# PlayableMediaFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files.abstracts / PlayableMediaFile

# PlayableMediaFile

(common) `interface PlayableMediaFile : TelegramMediaFile` (source)

### Properties

(common)

#### duration

`abstract val duration: Long?`

### Inheritors

(common)

#### AnimationFile

`data class AnimationFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, CustomNamedMediaFile, SizedMediaFile`

(common)

#### AudioFile

`data class AudioFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, TitledMediaFile, Performerable`

(common)

#### VideoFile

`data class VideoFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, SizedMediaFile`

(common)

#### VideoNoteFile

`data class VideoNoteFile : TelegramMediaFile, ThumbedMediaFile, PlayableMediaFile, SizedMediaFile`

(common)

#### VoiceFile

`data class VoiceFile : TelegramMediaFile, MimedMediaFile, PlayableMediaFile`